# libdar::limitint< B > Class Template Reference
[Private]

limitint template class More...

`#include <limitint.hpp>`

List of all members.

## Detailed Description

### template<class B>
class libdar::limitint< B >

limitint template class

the limitint template class implementation can handle positive integers and detect overflow. It shares with infinint the same interface, so it can be use in place of it, but throw Elimitint exceptions if overflow is detected. this template class receive as argument a positive integer atomic type In particular it is assumed that the sizeof() operator gives the amount of byte of information that this type can handle, and it is also assumed that the bytes of information are contiguous.

Definition at line 73 of file limitint.hpp.

The documentation for this class was generated from the following file:

- limitint.hpp